Qt 5.7 | Qt 3D | C++ Classes | QParameter

Qt 5.7.1 Reference Documentation

# QParameter Class

(Qt3DRender::QParameter)

Provides storage for a name and value pair. More...

Header: | #include <QParameter>
qmake: | QT += 3drender
Instantiated By: | Parameter
Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Properties

- name : QString
- value : QVariant

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QParameter(Qt3DCore::QNode *parent = nullptr)
| QParameter(const QString &name, const QVariant &value, Qt3DCore::QNode *parent = nullptr)
| QParameter(const QString &name, QAbstractTexture *texture, Qt3DCore::QNode *parent = nullptr)
QString | name() const
QVariant | value() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setName(const QString &name)
void | setValue(const QVariant &dv)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | nameChanged(const QString &name)
void | valueChanged(const QVariant &value)

- 3 signals inherited from Qt3DCore::QNode

## Protected Functions

| QParameter(QParameterPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Provides storage for a name and value pair.

## Property Documentation

### name : QString

Specifies the name of the parameter

Access functions:

QString | name() const
void | setName(const QString &name)

Notifier signal:

void | nameChanged(const QString &name)

### value : QVariant

Specifies the value of the parameter

Access functions:

QVariant | value() const
void | setValue(const QVariant &dv)

Notifier signal:

void | valueChanged(const QVariant &value)

## Member Function Documentation

### QParameter::QParameter(Qt3DCore::QNode *parent = nullptr)

Constructs a new QParameter with the specified parent.

### QParameter::QParameter(const QString &name, const QVariant &value, Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QParameter.

### QParameter::QParameter(const QString &name, QAbstractTexture *texture, Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QParameter.

### `[protected]` QParameter::QParameter(QParameterPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.